{
  lib,
  buildPythonApplication,
  fetchFromGitHub,
  callPackage,
  setuptools,
  pyside6,
  pyxdg,
  pyyaml,
  requests,
  vdf,
  zstandard,
}:

buildPythonApplication rec {
  pname = "proton-up-qt";
  version = "2.14.0";
  pyproject = true;

  src = fetchFromGitHub {
    owner = "DavidoTek";
    repo = "ProtonUp-Qt";
    rev = "v${version}";
    hash = "sha256-UiU2yLajMW5FnRSNS8TCg9Cqs8AkuXA+4FJTS2kfi6I=";
  };

  pythonRemoveDeps = [
    "pyside6-essentials"
  ];

  # Skip runtime dependency check for missing packages
  dontCheckRuntimeDeps = true;

  build-system = [
    setuptools
  ];

  dependencies = [
    pyside6
    pyxdg
    pyyaml
    requests
    vdf
    zstandard
    (callPackage ./inputs.nix { })
    (callPackage ./steam-python.nix { })
  ];

  meta = {
    description = "Install and manage GE-Proton, Luxtorpeda & more for Steam and Wine-GE & more for Lutris with this graphical user interface";
    homepage = "https://github.com/DavidoTek/ProtonUp-Qt";
    license = lib.licenses.gpl3Only;
    maintainers = with lib.maintainers; [ CaptainJawZ ];
    mainProgram = "protonup-qt";
  };
}
